package com.ywt.biz.common.core.service;

/**
 * 通用 用户服务
 *
 * @author Lion Li
 */
public interface UserService {

    /**
     * 通过用户ID查询用户账户
     *
     * @param userId 用户ID
     * @return 用户账户
     */
    String selectUserNameById(Long userId);

    /**
     * 重置用户密码
     *
     * @param userId   用户id
     * @param password 密码
     * @return 结果
     */
    int resetUserPwd(Long userId, String password);

    /**
     * 通过用户ID查询用户密码
     *
     * @param userId 用户ID
     * @return 用户密码
     */
    String selectPasswordByUserId(Long userId);

    Object selectUserById(Long userId);
}
